//
//  CPAPortsController.h
//  CocoaPacketAnalyzer
//
//  Created by franckej on 05.10.08.
//  Copyright Jens Francke. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface CPAPortsController : NSObject {

}

+ (CPAPortsController *) sharedPortsController;

- (void) addAnalyzerProtocol:(NSString *)aProtocol port:(uint16_t)aPort sourceProtocol:(int8_t)aSourceProtocol;
- (void) removeAnalyzerProtocolForPort:(uint16_t)aPort sourceProtocol:(int8_t)aSourceProtocol;

- (NSString *) analyzerProtocolForPort:(uint16_t)aPort sourceProtocol:(int8_t)aSourceProtocol;
- (NSString *) analyzerTCPProtocolForPort:(uint16_t)aPort;
- (NSString *) analyzerUDPProtocolForPort:(uint16_t)aPort;

@end
